読者です 読者をやめる 読者になる 読者になる

beer2011のブログ

田舎の日常、釣りや、ネット、Apple関係などの内容をカキコします。(特に)プログラミング関係はど素人ですので、あまり当てにされませぬように・・。(^^;) 「次ページ」や「過去記事」などのリンクは、下の方にあります。

IPythonインストール、つづき・・

IPythonは、前の記事のようにインストールできた。ただ、qtベースのコンソールという便利なものがあるとのこと。
試してみたが、なかなかうまくいかない。

    Could not load requested Qt binding. Please ensure that
    PyQt4 >= 4.7 or PySide >= 1.0.3 is available,
    and only one is imported per session.

    Currently-imported Qt library:   None
    PyQt4 installed:                 False
    PySide >= 1.0.3 installed:       False
    Tried to load:                   ['pyside', 'pyqt']
    

そこで、'pyside' と 'pyqt' のインストールをすることに。
まず、'pyside'からということで、brew install pyside を実行するが、make 部分でなかなか処理がおわらない・・。しばしまったが、結局、25分ほどかかった。(フリーズしたのかと思った)

そして、'pyqt'のインストール。brew install pyqt を実行するが、すでにはいっているよ、のメッセージ。でも、やっぱり、qtコンソールが起動しないので、いったん、pyqt をアンインストールして、再度、インストールを実行。



それでもうまくいかず、実行したこと2つ。(足りないと思われるエラー表示があった)

$ sudo pip install pygments

$ sudo pip install pyzmq


そして、再度qtコンソール実行・・

$ ipython qtconsole --pylab=inline


f:id:beer2011:20140330175627p:plain


なんとか、できた。ほんと、泥縄式というか、行き当たりばったり式だなぁ・・。(^^


特に、お世話になったサイト様。助かりました。感謝。

「すこしふしぎ.」
http://ism1000ch.hatenablog.com/entry/2014/01/05/004221


[追記 04/02]
以上の操作で出来たのだが、一旦、ターミナルを閉じて、再度、qtコンソール開こうとすると、エラーで開けず。
私の環境では、以下のパスを通すことが必要でした。参考までにに追記。

$ export PYTHONPATH=/usr/local/Cellar/pyqt/4.10.4/lib/python2.7/site-packages:/usr/local/Cellar/sip/4.15.5/lib/python2.7/site-packages:$PYTHONPATH

としたあと、

$ ipython qtconsole --pylab=inline

で、問題なく起動した。「すこしふしぎ.」サイトさまに記述があったのを、漏らしていた。